Bug 846729 - Some DefaultCacheManager constructors still performing legacy configuration adaptation
Some DefaultCacheManager constructors still performing legacy configuration a...
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.0.1
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 10:22 EDT by Tristan Tarrant
Modified: 2013-10-06 20:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In JBoss Data Grid 6.0.0 some of the org.infinispan.manager.DefaultCacheManager constructors using the org.infinispan.configuration API would invoke the adapter to convert configuration to the legacy org.infinispan.config API. This would cause some properties, such as a user-specified classloader, to be lost. This has now been resolved and the legacy adapter is no longer invoked in these situations.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-2182 Minor Resolved Some DefaultCacheManager constructors still performing legacy configuration adaptation 2013-03-19 23:16:16 EDT

  None (edit)
Description Tristan Tarrant 2012-08-08 10:22:04 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Martin Gencur 2012-08-10 04:09:08 EDT
Verified with JDG 6.0.1 ER2.

Note You need to log in before you can comment on or make changes to this bug.